Deployment API - GET available versions of BOSH tarballs

Gets the list of available OneAgent versions for BOSH release tarballs.

The request produces an application/json payload.

This request is an early adopter release and may be changed in non compatible way.

GET
  • Managed https://{your-domain}/e/{your-environment-id}/api/v1/deployment/boshrelease/versions/{osType}
  • SaaS https://{your-environment-id}.live.dynatrace.com/api/v1/deployment/boshrelease/versions/{osType}

Authentication

To execute this request, you need the PaaS token of your environment. See Why do I need an environment ID? to learn how to obtain it.

Parameters

Parameter Type Description In Required
osType string

The operating system of the installer.

The osType element can hold these values.
path required

Possible values

Possible values for the osType element:

  • windows
  • unix

Response format

The BoshReleaseAvailableVersions object

A list of available OneAgent versions for BOSH release tarballs.

Element Type Description
availableVersions string[]

A list of available OneAgent versions for BOSH release tarballs.